Package com.io7m.waxmill.cmdline.internal

# Class WXMAbstractCommandWithConfiguration

java.lang.Object
com.io7m.claypot.core.CLPAbstractCommand
com.io7m.waxmill.cmdline.internal.WXMAbstractCommandWithConfiguration

All Implemented Interfaces:
  `com.io7m.claypot.core.CLPCommandType`

Direct Known Subclasses:
  `WXMCommandVMAddAHCIDisk`, `WXMCommandVMAddAHCIOptical`, `WXMCommandVMAddE1000NetworkDevice`, `WXMCommandVMAddFramebufferDevice`, `WXMCommandVMAddLPC`, `WXMCommandVMAddPassthru`, `WXMCommandVMAddVirtioDisk`, `WXMCommandVMAddVirtioNetworkDevice`, `WXMCommandVMConsole`, `WXMCommandVMDefine`, `WXMCommandVMDelete`, `WXMCommandVMDeleteBootConfigurations`, `WXMCommandVMDeleteDevice`, `WXMCommandVMExport`, `WXMCommandVMIDOf`, `WXMCommandVMImport`, `WXMCommandVMKill`, `WXMCommandVMList`, `WXMCommandVMListWithName`, `WXMCommandVMRealize`, `WXMCommandVMRun`, `WXMCommandVMSet`, `WXMCommandVMUpdateBootConfigurations`

    public abstract class WXMAbstractCommandWithConfiguration
    extends com.io7m.claypot.core.CLPAbstractCommand

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.claypot.core.CLPCommandType

  `com.io7m.claypot.core.CLPCommandType.Status`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMAbstractCommandWithConfiguration​(org.slf4j.Logger inLogger, com.io7m.claypot.core.CLPCommandContextType inContext)` | Construct a command.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `error​(java.lang.String id, java.lang.Object... arguments)` |
  `protected com.io7m.claypot.core.CLPCommandType.Status` | `executeActual()` |
  `protected abstract com.io7m.claypot.core.CLPCommandType.Status` | `executeActualWithConfiguration​(java.nio.file.Path configurationPath)` |
  `protected void` | `info​(java.lang.String id, java.lang.Object... arguments)` |
  `protected WXMMessages` | `messages()` |

  ### Methods inherited from class com.io7m.claypot.core.CLPAbstractCommand

  `commander, configuration, context, execute, logger, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.claypot.core.CLPCommandType

  `extendedHelp, name`

- ## Constructor Details

  - ### WXMAbstractCommandWithConfiguration

    public WXMAbstractCommandWithConfiguration​(org.slf4j.Logger inLogger, com.io7m.claypot.core.CLPCommandContextType inContext)
    Construct a command.
    Parameters:
      `inLogger` - The command logger
      `inContext` - The command context

- ## Method Details

  - ### executeActualWithConfiguration

    protected abstract com.io7m.claypot.core.CLPCommandType.Status executeActualWithConfiguration​(java.nio.file.Path configurationPath) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### executeActual

    protected final com.io7m.claypot.core.CLPCommandType.Status executeActual() throws java.lang.Exception
    Specified by:
      `executeActual` in class `com.io7m.claypot.core.CLPAbstractCommand`
    Throws:
      `java.lang.Exception`

  - ### messages

    protected final WXMMessages messages()

  - ### error

    protected final void error​(java.lang.String id, java.lang.Object... arguments)

  - ### info

    protected final void info​(java.lang.String id, java.lang.Object... arguments)